Session
List sessions for user
Retrieve a paginated list of sessions for a connected user from latest to oldest. By default, sessions are returned only when all participants are linked to your external service.
Path Parameters
userId*string
User ID (UUID).
Format
uuidQuery Parameters
offset?integer
Number of items to skip.
Default
0Range
0 <= valuelimit?integer
Maximum number of items to return.
Default
50Range
1 <= value <= 100sessionType?string
Optional filter by session type.
sportType?string
Optional filter by sport type.
Value in
"TENNIS" | "PADEL" | "PICKLEBALL"from?string
Optional ISO 8601 timestamp lower bound.
Format
date-timeto?string
Optional ISO 8601 timestamp upper bound.
Format
date-timeResponse
200Error Responses
400
invalid_schema
Request validation failed.
400
invalid_filter_time_range
A filter time range is ordered incorrectly.
401
missing_api_token
No authentication token provided.
401
invalid_api_token
Invalid or expired authentication token.
403
scope_permission_denied
Insufficient permissions for this operation.
403
user_access_denied
Service is not granted access to the user.
curl -X GET "https://dev.wingfield.systems/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/sessions"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"durationSeconds": 0,
"startedAt": "2019-08-24T14:15:22Z",
"sportType": "TENNIS",
"workoutId": "string"
}
],
"totalCount": 0
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}